#!/usr/bin/env perl

package Ocsinventory::Agent::Modules::IdZephir;

sub new {
	my $name = "zephir";
	
	my (undef, $context) = @_;
	my $self = {};

	$self->{logger} = new Ocsinventory::Logger ({
		config => $context->{config}
	});

	$self->{logger}->{header}="[$name]";

	$self->{context} = $context;
	$self->{structure} = {
		name => $name,
		start_handler => undef,
		prolog_writer => undef,
		prolog_reader => undef,
		inventory_handler => $name."_inventory",
		end_handler => undef
	};

	bless $self;
}

sub zephir_inventory {
	my ($self, $inventory) = @_;
	my $logger = $self->{logger};
	
	my $file = '/usr/lib/python2.7/dist-packages/zephir/zephir_conf/zephir_conf.py';
	
	open ZEPHIR_CONF, '<', $file;
	
	my $id, $addr;
	
	# For each line
	while (<ZEPHIR_CONF>) {
		if ($_ =~ /^id_serveur/ or $_ =~ /^adresse_zephir/) {
			my ($key, $val) = split('=', $_);
			
			if ($key eq 'id_serveur') {
				$id = trim($val);
			} elsif ($key eq 'adresse_zephir') {
				$addr = substr trim($val), 1, -1;
			}
		}
	}
	
	# Add SEPHIR section to inventory
	push @{ $inventory->{xmlroot}->{"CONTENT"}->{"ZEPHIR"} }, {
		'NUM' => [$id],
		'ADRESSE' => [$addr]
	};
}

sub trim {
	my $s = shift;
	$s =~ s/^\s+|\s+$//g;
	return $s
};

1;
